- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_device_dns – Manage BIG-IP device DNS settings

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manage BIG-IP device DNS settings.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cache string | Choices: enabled disabled enable disable | Specifies whether the system caches DNS lookups or performs the operation each time a lookup is needed. Please note that this applies only to Access Policy Manager features, such as ACLs, web application rewrites, and authentication.
ip_version integer | Choices: 4 6 | Specifies whether the DNS specifies IP addresses using IPv4 or IPv6.
name_servers list |  | A list of name servers that the system uses to validate DNS lookups
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
search list |  | A list of domains that the system searches for local domain lookups, to resolve local host names.
state string | Choices: absent present ← | The state of the variable on the system. When `present`, guarantees that an existing variable is set to `value`.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.

- Requires BIG-IP software version >= 12.

- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Set the DNS settings on the BIG-IP
      bigip_device_dns:
        name_servers:
          - 208.67.222.222
          - 208.67.220.220
        search:
          - localdomain
          - lab.local
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cache string | changed | The new value of the DNS caching Sample: enabled
ip_version integer | changed | IP version that was set that DNS will specify IP addresses in Sample: 4
name_servers list | changed | List of name servers that were set Sample: ['192.0.2.10', '172.17.12.10']
search list | changed | List of search domains that were set Sample: ['192.0.2.10', '172.17.12.10']
warnings list | always | The list of warnings (if any) generated by module based on arguments Sample: ['...', '...']

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

- Wojciech Wypior (@wojtek0806)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.